Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 209924 - No dbus-launch installed with Gnome desktop
Summary: No dbus-launch installed with Gnome desktop
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-10-08 11:53 UTC by Milan Krcmar
Modified: 2012-06-25 22:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-13 23:24:18 UTC


Attachments (Terms of Use)

Description Milan Krcmar 2006-10-08 11:53:28 UTC
Description of problem:
A fresh install of FC5.92 with default Gnome desktop does not include dependency
on the dbus-x11 package, which contains a dbus-launch binary. The dbus-launch is
spawned when you log in to Gnome and its absence degrades Gnome a lot.

Version-Release number of selected component (if applicable):
Fedora Core 5.92

How reproducible:
Tried only once but appears to be a standing problem

Steps to Reproduce:
I've just installed FC using PXE TFTP image and then the FTP method, leaving
default package set with Gnome desktop as-is.
  
Actual results:
A message box appears at login time refering to `man dbus-lanch'.


Expected results:
The dbus-x11 package should be installed as a dependecy for Gnome desktop
(I intentionally avoid naming the dependent package - I do not know Gnome's
packages).

Additional info:
`yum install dbus-x11' to fix it post-install at least.

Comment 1 Bradley 2006-10-26 14:20:17 UTC
This just bit me too (upgrade to FC6).

Also, the dbus-lanuch man page is in the main package, not the dbus-x11 one.

Comment 2 Matthew Miller 2007-04-06 18:43:30 UTC
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]


Comment 3 Bradley 2007-04-07 00:19:40 UTC
Still an issue - nothing requires dbus-x11.

The man pages is still an issue, too

Comment 4 Matthew Miller 2007-04-07 02:10:56 UTC
yeah, should either be a dep, or in the GNOME Desktop Environment comps group
explicitly. Many people won't see the problem, as it's pulled in by
gnome-power-manager or desktop-printing, both installed as part of GNOME Desktop
Environment by default (but not mandatorily).

Comment 5 Bradley 2007-04-07 07:31:30 UTC
The install on this machine dates back to RH6.1, IIRC, and I don't have any of
those installed (which is potentially a separate RFE thats sort of related -
upgrades should have an option to install some 'new feature' packages, or
something along those lines)

Some of the gnome stuff depending on dbus should probably depend on dbus-x11
instead, plus some of the stuff that just brings in the libdbus depedancy
implicitly.

Comment 6 Matthew Miller 2007-04-07 12:01:57 UTC
gnome-session, maybe?

Comment 7 Ray Strode [halfline] 2007-04-08 19:11:31 UTC
good enough for me.

Comment 8 Matthias Clasen 2007-04-13 23:24:18 UTC
Fixed in 2.18.0-5.fc7


Note You need to log in before you can comment on or make changes to this bug.